package jp.bitmeister.asn1.sample;

import jp.bitmeister.asn1.annotation.ASN1Element;
import jp.bitmeister.asn1.annotation.ASN1ModuleRef;
import jp.bitmeister.asn1.annotation.ASN1Tag;
import jp.bitmeister.asn1.sample.FrightStatusTypes.FrightNumber;
import jp.bitmeister.asn1.sample.FrightStatusTypes.Information;
import jp.bitmeister.asn1.sample.FrightStatusTypes.Status;
import jp.bitmeister.asn1.type.ASN1TagClass;
import jp.bitmeister.asn1.type.ASN1TagMode;
import jp.bitmeister.asn1.type.builtin.SEQUENCE;

@ASN1ModuleRef(FrightStatusTypes.class)
@ASN1Tag(value = 0, tagClass = ASN1TagClass.APPLICATION, tagMode = ASN1TagMode.IMPLICIT)
public class FrightStatus extends SEQUENCE {

	@ASN1Element(0)
	public FrightNumber frightNo;
	
	@ASN1Element(1)
	@ASN1Tag(value = 0, tagMode = ASN1TagMode.IMPLICIT)
	public Information departure;
	
	@ASN1Element(2)
	@ASN1Tag(value = 1, tagMode = ASN1TagMode.IMPLICIT)
	public Information arrival;
	
	@ASN1Element(3)
	public Status status;
	
	public FrightStatus() {}

	public FrightStatus(FrightNumber frightNo, Information departure,
			Information arrival, Status status) {
		this.frightNo = frightNo;
		this.departure = departure;
		this.arrival = arrival;
		this.status = status;
	}
	
}
